Last Comment Bug 845681 - Closing all windows and quitting Firefox afterwards leads to about:sessionrestore to be shown on next startup
: Closing all windows and quitting Firefox afterwards leads to about:sessionres...
Status: VERIFIED FIXED
: regression
Product: Firefox
Classification: Client Software
Component: Session Restore (show other bugs)
: 20 Branch
: All Mac OS X
: -- normal with 1 vote (vote)
: Firefox 23
Assigned To: Tim Taubert [:ttaubert] (on PTO, back Aug 29th)
: Paul Silaghi, QA [:pauly]
Mentors:
: 847169 855869 859043 859130 860451 861166 863047 863204 864027 864163 864611 865214 866268 869044 871207 871295 873161 874523 (view as bug list)
Depends on: 973420 861700
Blocks: 829568
  Show dependency treegraph
 
Reported: 2013-02-26 22:25 PST by Tetsuharu OHZEKI [:tetsuharu] [UTC+9]
Modified: 2015-07-04 01:52 PDT (History)
40 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
-
affected
+
verified
+
verified
verified


Attachments
save session states without any open windows on Mac OS X (1.20 KB, patch)
2013-04-09 08:46 PDT, Tim Taubert [:ttaubert] (on PTO, back Aug 29th)
felipc: review+
bajaj.bhavana: approval‑mozilla‑aurora+
bajaj.bhavana: approval‑mozilla‑beta+
Details | Diff | Splinter Review

Description Tetsuharu OHZEKI [:tetsuharu] [UTC+9] 2013-02-26 22:25:04 PST
[Environment]
* Intel Mac OS X 10.8
* http://hg.mozilla.org/mozilla-central/rev/73f0c5b00572

[STR]
1. Open a private browsing window, and close all normal windows. (After this step, there is only private browsing windows)
2. Quit Firefox.

[Result]
After re-startup Firefox, always open about:sessionrestore.
Comment 1 Tim Taubert [:ttaubert] (on PTO, back Aug 29th) 2013-04-08 10:25:32 PDT
I can't reproduce this. Does this still happen in safe-mode?
Comment 2 Tim Taubert [:ttaubert] (on PTO, back Aug 29th) 2013-04-08 10:28:30 PDT
Ok, wait I can reproduce it but the STR above is missing important information.

STR:

1. have a window with some tabs
2. open a private window
3. close the normal window
4. close the private window
5. cmd+q to quit the browser

When starting Firefox again indeed about:sessionrestore is shown.
Comment 3 Tim Taubert [:ttaubert] (on PTO, back Aug 29th) 2013-04-08 10:30:12 PDT
Ok, this has nothing to do with private windows. Just close all open windows and then quit Firefox. This shows about:sessionrestore on re-opening.
Comment 4 Tim Taubert [:ttaubert] (on PTO, back Aug 29th) 2013-04-08 10:32:06 PDT
*** Bug 847169 has been marked as a duplicate of this bug. ***
Comment 5 Tim Taubert [:ttaubert] (on PTO, back Aug 29th) 2013-04-08 10:37:43 PDT
Probably caused by bug 829568. Need to make a new build before I can verify my assumption.
Comment 6 Lukas Blakk [:lsblakk] use ?needinfo 2013-04-08 13:36:39 PDT
Would be great to get a low risk forward fix here since (after talking with Tim in IRC) backing out bug 829568 would re-introduce data loss while this bug is unfortunate (user annoyance) it's also for a pretty small margin of users: mac only, quit Firefox in 'headless' mode (no windows open).
Comment 7 Joshua Nixon 2013-04-09 06:58:40 PDT
It may be a small margin of users but this bug is extremely visible for those users (like myself) who habitually close all windows prior to exiting the program. The session restore bug is actually somewhat worse in Fx 21; the last window remembered in the session restore at startup is not necessarily the last window I even had open.

Mozilla/5.0 (Macintosh; Intel Mac OS X 10.8; rv:21.0) Gecko/20100101 Firefox/21.0 ID:20130401192816 CSet: 2e91ff229d84
Comment 8 Tim Taubert [:ttaubert] (on PTO, back Aug 29th) 2013-04-09 08:46:49 PDT
Created attachment 735218 [details] [diff] [review]
save session states without any open windows on Mac OS X

Tiny patch that re-enables saving of window-less session states on Mac OS X. We're safe to do so because we can't open Firefox with a single private window on Mac. If we have a single private window then only because the user explicitly closed all non-private ones before.
Comment 9 Virgil Dicu [:virgil] [QA] 2013-04-11 05:05:45 PDT
*** Bug 855785 has been marked as a duplicate of this bug. ***
Comment 10 Loic 2013-04-12 05:38:24 PDT
*** Bug 859130 has been marked as a duplicate of this bug. ***
Comment 11 Loic 2013-04-12 05:38:34 PDT
*** Bug 860451 has been marked as a duplicate of this bug. ***
Comment 12 Loic 2013-04-12 06:35:32 PDT
*** Bug 861166 has been marked as a duplicate of this bug. ***
Comment 13 barbmadaras 2013-04-12 06:46:55 PDT
I am the initiator of the comment.  REVISION:  I originally stated this started when I updated to 20.0.  However, I usually keep my laptop and Firefox running all the time (bad me) but this morning I shut down and restarted and that is when it happened.  Sorry but I still do think it was only after I updated to 20.0 as that was what showed on my screen when I restarted the laptop and I think I did that before I opened Firefox.
Comment 14 Ray Z. 2013-04-12 09:28:15 PDT
I can be sure it's Fx 20 bug too. The bug exists since 20 beta, i think it's possibly something to do with the per-window private browsing, as it's brand new from the older versions.
Comment 15 Tim Taubert [:ttaubert] (on PTO, back Aug 29th) 2013-04-12 11:34:58 PDT
https://hg.mozilla.org/integration/fx-team/rev/14532aee4fbf
Comment 16 barbmadaras 2013-04-12 12:19:19 PDT
So please - for this poor layperson - tell me (1) my computer is not screwed up, (b) that Fx is aware of it and (c) at the moment I can't do anything about it.  If I keep Fx up and running, I don't have the problem so I'll do just that!
Comment 17 Ray Z. 2013-04-12 13:54:36 PDT
(In reply to barbmadaras from comment #16)
> So please - for this poor layperson - tell me (1) my computer is not screwed
> up, (b) that Fx is aware of it and (c) at the moment I can't do anything
> about it.  If I keep Fx up and running, I don't have the problem so I'll do
> just that!

This works for me for as temporary solution - set browser.sessionstore.resume_from_crash to false - https://bugzilla.mozilla.org/show_bug.cgi?id=847169#c9
Comment 18 Ryan VanderMeulen [:RyanVM] 2013-04-12 14:40:09 PDT
https://hg.mozilla.org/mozilla-central/rev/14532aee4fbf
Comment 19 MrBird 2013-04-13 00:23:02 PDT
Is that bug related to https://bugzilla.mozilla.org/show_bug.cgi?id=578619 ?
Comment 20 [:philipp] 2013-04-13 10:09:32 PDT
is there any chance of the patch being uplifted to firefox 21, since the issue is generating quite a high number of support requests at sumo?
Comment 21 Scoobidiver (away) 2013-04-13 10:21:14 PDT
(In reply to philipp from comment #20)
> is there any chance of the patch being uplifted to firefox 21, since the
> issue is generating quite a high number of support requests at sumo?
The + next to tracking-firefox21 and tracking-firefox22 means the patch will be uplifted in Aurora and Beta.
Comment 22 tabmix.onemen 2013-04-13 23:27:06 PDT
i see the same problem on other platform as well
see bug 853779 and 578619
Comment 23 okantx 2013-04-14 03:39:18 PDT
everything started when 20 was beta after it received first update. since this date 20,21,22 all of them have this issue.

see;

https://support.mozilla.org/en-US/questions/952678?esab=a&s=&r=0&as=s
Comment 24 Scoobidiver (away) 2013-04-14 04:25:34 PDT
(In reply to okantx from comment #23)
> since this date 20,21,22 all of them have this issue.
Is it fixed in Nightly for you (http://nightly.mozilla.org/)?
Comment 25 bhavana bajaj [:bajaj] 2013-04-15 10:37:36 PDT
(In reply to Tim Taubert [:ttaubert] from comment #15)
> https://hg.mozilla.org/integration/fx-team/rev/14532aee4fbf

Tim, considering the Dup's the issue has and the number of users coming across this, we should definitely resolve this on Fx 21 at the earliest.I would prefer getting it on Beta earlier than latter.

Can you please request approval nomination for aurora/beta with risk analysis here ?
I'll approve it on aurora asap and we get get some testing on nightly/aurora in preparation for a beta uplift , for our Beta 4 going to build tomorrow .
Comment 26 okantx 2013-04-15 12:28:22 PDT
(In reply to Scoobidiver from comment #24)

yes, now nightly looks fixed but nightly is not very stabil for my daily usage. hope that they'll fix this on beta too. Ive been a long time beta user on both os x and windows. never had such issue before until this bug. beta was very stabil for me plus its good to use new features 6 weeks earlier with overall stability. within this bug I tried to downgrade to relese channel if it's fixed but it was not. If this got fixed on beta, I'll switch back to beta on os x like I used to, on windows I'm still on beta.
Comment 27 Tim Taubert [:ttaubert] (on PTO, back Aug 29th) 2013-04-16 00:30:48 PDT
Comment on attachment 735218 [details] [diff] [review]
save session states without any open windows on Mac OS X

[Approval Request Comment]
Bug caused by (feature/regressing bug #): bug 829568
User impact if declined: about:sessionrestore shown on every startup with certain usage patterns, no data loss but probably annoying
Testing completed (on m-c, etc.): 
Risk to taking this patch (and alternatives if risky): low risk
String or IDL/UUID changes made by this patch: none
Comment 28 bhavana bajaj [:bajaj] 2013-04-16 10:49:24 PDT
Comment on attachment 735218 [details] [diff] [review]
save session states without any open windows on Mac OS X

Please land asap, to get this into our next beta which is going to build shortly.
Comment 30 Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2013-04-16 15:57:01 PDT
Added to my queue for Firefox 21b3 sign-off.
Comment 31 Paul Silaghi, QA [:pauly] 2013-04-17 01:17:03 PDT
Reproduced the issue on FF 21b2.
Verified fixed FF 21b3 Mac OS X 10.8.3.
Comment 32 tabmix.onemen 2013-04-17 06:40:40 PDT
This issue is not fixed for Firefox 20 - nightly on windows !
Comment 33 Tim Taubert [:ttaubert] (on PTO, back Aug 29th) 2013-04-17 06:44:59 PDT
(In reply to onemen.one from comment #32)
> This issue is not fixed for Firefox 20 - nightly on windows !

Indeed, there are no Nightly builds for Fx 20 (that's the current release). We fixed everything up to Beta which is Fx 21.
Comment 34 Paul Silaghi, QA [:pauly] 2013-04-17 06:46:47 PDT
Nightly is now Firefox 23 - http://nightly.mozilla.org/
It's expected not to be fixed in 20, this bug was tracked for FF 21 and up.
Comment 35 tabmix.onemen 2013-04-17 06:53:00 PDT
(In reply to Tim Taubert [:ttaubert] from comment #33)
> (In reply to onemen.one from comment #32)
> > This issue is not fixed for Firefox 20 - nightly on windows !
> 
> Indeed, there are no Nightly builds for Fx 20 (that's the current release).
> We fixed everything up to Beta which is Fx 21.

sorry Tim, i meant from Firefox 21 up to Firefox 23 (nightly)
This issue is not fixed on windows!
Comment 36 Paul Silaghi, QA [:pauly] 2013-04-17 07:27:20 PDT
Please see my comment 31. It's fixed in FF 21b3 ftp://ftp.mozilla.org/pub/mozilla.org/firefox/nightly/21.0b3-candidates/build1/
Comment 37 Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2013-04-17 08:59:27 PDT
(In reply to Paul Silaghi [QA] from comment #34)
> Nightly is now Firefox 23 - http://nightly.mozilla.org/
> It's expected not to be fixed in 20, this bug was tracked for FF 21 and up.

Thanks Paul, can you also verify this in the latest Aurora and Nightly builds when you have time? 

Tim, did your patch only address this issue on Mac? If so, do we need to get a follow-up bug on file for comment 35?
Comment 38 Loic 2013-04-18 04:59:23 PDT
*** Bug 863047 has been marked as a duplicate of this bug. ***
Comment 39 Paul Silaghi, QA [:pauly] 2013-04-18 05:38:14 PDT
(In reply to Anthony Hughes, Mozilla QA (:ashughes) from comment #37)
> Thanks Paul, can you also verify this in the latest Aurora and Nightly
> builds when you have time? 
Verified fixed aurora 22.0a2 (2013-04-18), nightly 23.0a1 (2013-04-18) Mac OS X 10.8.3

> Tim, did your patch only address this issue on Mac? If so, do we need to get
> a follow-up bug on file for comment 35?
I cannot reproduce the issue on Windows
Comment 40 tabmix.onemen 2013-04-20 00:29:36 PDT
I can reproduce this issue on Windows

however in order to trigger this on windows you need to close Firefox (one window with one about:blank tab) with File > Close Window or with the window close button (top right), closing Firefox with File > Exit work ok
Comment 41 Scoobidiver (away) 2013-04-20 00:32:50 PDT
onemen, this bug is fixed in 21.0 Beta.
Comment 42 tabmix.onemen 2013-04-20 00:37:34 PDT
(In reply to Scoobidiver from comment #41)
> onemen, this bug is fixed in 21.0 Beta.

NOT IN WINDOWS
Comment 43 Scoobidiver (away) 2013-04-20 00:39:28 PDT
(In reply to onemen.one from comment #42)
> (In reply to Scoobidiver from comment #41)
> > onemen, this bug is fixed in 21.0 Beta.
> NOT IN WINDOWS
Please file a new bug after troubleshooting in Safe Mode (see https://support.mozilla.org/kb/troubleshoot-firefox-issues-using-safe-mode).
Comment 44 tabmix.onemen 2013-04-20 01:33:10 PDT
I filed it already 
see bug 853779
Comment 45 Tiziana Sellitto [:tiziana] 2013-04-22 10:36:10 PDT
*** Bug 864027 has been marked as a duplicate of this bug. ***
Comment 46 Tiziana Sellitto [:tiziana] 2013-04-22 10:41:05 PDT
*** Bug 863204 has been marked as a duplicate of this bug. ***
Comment 47 Tiziana Sellitto [:tiziana] 2013-04-22 11:31:06 PDT
*** Bug 864163 has been marked as a duplicate of this bug. ***
Comment 48 Scoobidiver (away) 2013-04-22 23:49:47 PDT
*** Bug 864611 has been marked as a duplicate of this bug. ***
Comment 49 Dave Miller [:justdave] (justdave@bugzilla.org) 2013-04-24 07:59:04 PDT
I've had two different people complain to me personally about this, seen people tweeting about it, and see lots of reports on support.mozilla.org.  At least one person has told me they were going to quit using Firefox because of it, before I found this bug report to show them the workaround for it.  I don't interact with a whole lot of people with regards to Firefox (I don't live in a particularly tech-savvy part of the world), so if I'm running into people complaining about it this much personally, the problem is probably much larger than me.  Although it's a seemingly minor thing compared to a security bug, it has a huge user experience impact. I think not doing a v20 release with this fixed was a mistake, and recommend that be re-evaluated (then again, with only 3 weeks left until v21 is scheduled to be released anyway maybe it's too late).

https://support.mozilla.org/en-US/search?esab=a&q=this+is+embarrassing
https://twitter.com/search?q=firefox%20this%20is%20embarrassing&src=typd (not all matching tweets are about this, but there's quite a few in there)
Comment 50 Lukas Blakk [:lsblakk] use ?needinfo 2013-04-24 12:15:24 PDT
Even with a handful of tweets and some activity on sumo this wouldn't have been enough to drive a dot release on its own and yes, we are a few weeks from FF21 going out with the fix and hopefully easing the user pain here - there are also workarounds.
Comment 51 jffox77777 2013-04-24 12:16:59 PDT
Observations:

1. Mine has an easy workaround. (it only occurs after closing Firefox, and then later opening the first window of any new Firefox session. Simply closing the error-message, kills the issue and I can continue until next shutdown and re-open.

2. On some websites or windows I notice a problem with the "Back" or "Previous Page" function (could be part of "remembering tab-history???).

3. On some Yahoo Group Forums, I get a "Not Recognized Group" Yahoo Error-Msg. After the 2nd try, the Browser memory is fixed. -- Could be the same root problem???

Thanks everyone for what you all do.
Comment 52 Loic 2013-04-27 14:09:07 PDT
*** Bug 866268 has been marked as a duplicate of this bug. ***
Comment 53 Mike Baranczak 2013-04-30 12:34:35 PDT
*** Bug 865214 has been marked as a duplicate of this bug. ***
Comment 54 Lukas Blakk [:lsblakk] use ?needinfo 2013-05-01 10:22:57 PDT
*** Bug 855869 has been marked as a duplicate of this bug. ***
Comment 55 Tiziana Sellitto [:tiziana] 2013-05-06 10:25:25 PDT
*** Bug 869044 has been marked as a duplicate of this bug. ***
Comment 56 Scoobidiver (away) 2013-05-12 13:58:50 PDT
*** Bug 871295 has been marked as a duplicate of this bug. ***
Comment 57 Loic 2013-05-12 14:42:15 PDT
*** Bug 871207 has been marked as a duplicate of this bug. ***
Comment 58 Loic 2013-05-16 14:28:54 PDT
*** Bug 873161 has been marked as a duplicate of this bug. ***
Comment 59 Tiziana Sellitto [:tiziana] 2013-05-17 12:13:25 PDT
*** Bug 859043 has been marked as a duplicate of this bug. ***
Comment 60 Tiziana Sellitto [:tiziana] 2013-05-21 12:03:25 PDT
*** Bug 874523 has been marked as a duplicate of this bug. ***
Comment 61 tabmix.onemen 2013-08-10 02:05:17 PDT
This bug affecting all platform not just Mac.

Consider replacing the fix by the patch i proposed in bug 853779 comment 13
Comment 62 Marcus 2013-11-02 16:24:46 PDT
This problem started happening to me on Firefox 24 and 25 (Ubuntu Linux, but I have seen this problem on Windows too).

I always set up my Firefox like this:

- Using the main preferences window -> When Firefox starts: open blank page
- Using about:config -> browser.tabs.closeWindowWithLastTab: false

I manually close all tabs before quitting Firefox and when I reopen it, one of these things happens:

- "This is embarrassing", can't restore about:blank
- "This is embarrassing", can't restore a few pages that were open before closing FF (they were not supposed to be restored anyway).
- A few pages that were open last time are restored, despite that I explicitly closed them before closing FF.


I've had this problem from Firefox 4 to 11. Somewhere around version 11 it was solved, but reapeared now, at versions 24 and 25.
Comment 63 Scarlett Johansson 2013-11-03 15:19:19 PST
I'd like to confirm this started happening on Firefox 24.
Comment 64 Paul Silaghi, QA [:pauly] 2013-11-03 23:55:39 PST
I think you're talking about bug 853779 which is fixed in FF 26 and later.
Comment 65 Aloysius 2015-07-04 01:51:24 PDT
*** Bug 1180371 has been marked as a duplicate of this bug. ***
Comment 66 Aloysius 2015-07-04 01:52:48 PDT
The problem reappeared on Firefox 39 for me, albeit inconsistently.

Note You need to log in before you can comment on or make changes to this bug.